| GlsMap Toolkit 1.10.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
disti::GlsMapChart Class Reference

`#include <gls_map_chart.h>`

Inheritance diagram for disti::GlsMapChart:

## Public Types
typedef DisplayObject | BaseClass

## Public Member Functions
| GlsMapChart (bool generateInstance=false)
virtual | ~GlsMapChart ()
virtual void | SetAvailableAttributes (unsigned int value)
virtual DisplayObject * | CloneObject (bool generateNames=false)
virtual void | CopyProperties (DisplayObject *src)
virtual InterfaceListType * | GetCppInterfaceDescription (InterfaceListType *addToThisList=NULL)
virtual void | GetCppInterfaceDescriptionFree (InterfaceListType *array)
virtual void | PreDraw (const OpenGLMatrices &parentMatrices, Culler &culler)
virtual void | Draw (void)
virtual DisplayObject * | handle (DisplayEvent *ev)
virtual void | SetValue (int spec, va_list &args)
GlsMapView * | GetMapView ()
virtual void | SetDataSource (GlsMapChartDataSource *database)
GlsMapChartDataSource * | GetDataSource ()
void | ShowLoadingCells (const bool &value)
bool | ShowLoadingCells ()
bool | BindLoadingImage ()

## Static Public Member Functions
static DisplayObject * | CreateInstance ()

## Protected Attributes
GlsMapChartDataSource * | _dataSource
bool | _showLoadingCells
MapChartCellMgr * | _cellMgr

## Friends
class | GlsMapChartEditor

## Detailed Description

Runtime implementation of a GlsMapChart

## Constructor & Destructor Documentation

## ◆ GlsMapChart()

disti::GlsMapChart::GlsMapChart | ( | bool | generateInstance = `false` | ) |

Create a new GlsMapChart.

Parameters

  generateInstance | Whether or not to generate an instance name for this inputdevice

## ◆ ~GlsMapChart()

disti::GlsMapChart::~GlsMapChart | ( |  | ) |
| virtual

Destructs a GlsMapChart object

## Member Function Documentation

## ◆ BindLoadingImage()

bool disti::GlsMapChart::BindLoadingImage | ( |  | ) |

Utility method. Not normally called by user. May be removed in future releases.

## ◆ GetDataSource()

GlsMapChartDataSource * disti::GlsMapChart::GetDataSource | ( |  | ) |
| inline

Returns
  pointer to the GlsMapChartDataSource this chart is using or NULL if the chart is not using a data source.

## ◆ GetMapView()

GlsMapView * disti::GlsMapChart::GetMapView | ( |  | ) |
| inline

Returns
  pointer to the GlsMapView that the chart will use for rendering or NULL if not found.

## ◆ SetDataSource()

void disti::GlsMapChart::SetDataSource | ( | GlsMapChartDataSource * | database | ) |
| virtual

Set the GlsMapChartDataSource to use for rendering. The creator of the GlsMapChartDataSource instance is responsible for deleting it.

Parameters

  database | Pointer to the GlsMapChartDataSource to use

## ◆ ShowLoadingCells() [1/2]

bool disti::GlsMapChart::ShowLoadingCells | ( |  | ) |
| inline

Returns
  Whether the GlsMapChart will display MapChartCells that have not yet loaded

## ◆ ShowLoadingCells() [2/2]

void disti::GlsMapChart::ShowLoadingCells | ( | const bool & | value | ) |

If true, the GlsMapChart will display MapChartCells that have not yet loaded using it's own texture settings. Default: false

The documentation for this class was generated from the following files:

- gls_map_chart.h
- gls_map_chart.cpp